Subject: Re: Issues with "x86, um: switch to generic fork/vfork/clone" commit

From: Al Viro <[email-masked]>
Date: Sat, 10 Nov 2012 05:33:34 +0000

On Fri, Nov 09, 2012 at 08:57:58PM -0800, Michel Lespinasse wrote:
> On Fri, Nov 9, 2012 at 8:51 PM, Al Viro <[email-masked]> wrote:
> > On Fri, Nov 09, 2012 at 08:36:53PM -0800, Michel Lespinasse wrote:
> >> Hi,
> >>
> >> I'm having an issue booting current linux-next kernels on my test
> >> machines. Userspace crashes when it's supposed to pivot to the rootfs.
> >> With the loglevel=8 kernel parameter, the last messages I see are:
> >>
> >> Checking root filesystem in pivot_root init.
> >> [    6.252717] usb 2-1: link qh256-0001/ffff880853ec9ab8 start 1 [1/0 us]
> >> [    6.259419] hub 2-1:1.0: state 7 ports 8 chg 0000 evt 0000
> >> [    6.292302] traps: hotplug[1633] general protection ip:f767c06b
> >> sp:ffbb2d1c error:0 in libc-2.3.6.so[f7652000+126000]
> >>
> >> I ran a bisection and it turns out that
> >> e52d03a3775841cc68d0ea9d86f2f09b603c41e6 (x86, um: switch to generic
> >> fork/vfork/clone) is the commit breaking my setup. When reverting
> >> that, I am able to boot linux-next (or mmotm, which is what I was
> >> trying to do in the first place) without issues.
> >>
> >> Sorry for not having a more complete root cause at the moment - I'm
> >> lacking some context as to what the change is trying to do.
> >
> > Hmm...  32bit native, presumably?
> 
> This is running on a x86_64 system; I believe the userspace binaries
> should be 64-bit as well.

Curious...  After the second look at that sucker, it seems that you have
32bit hotplug(8) in there, and yes, it's clearly a 64bit kernel...  Could
you check which binary it is and whether it's really 32bit or not?